=== modified file 'UpdateManager/Dialogs.py'
--- UpdateManager/Dialogs.py	2018-01-12 10:47:44 +0000
+++ UpdateManager/Dialogs.py	2018-02-09 12:48:59 +0000
@@ -237,12 +237,8 @@
                 extra_args = extra_args + " -d"
             if self.window_main.options.use_proposed:
                 extra_args = extra_args + " -p"
-        # Workaround restricted root access to graphical applications under
-        # wayland
-        if 'WAYLAND_DISPLAY' in os.environ:
-            subprocess.run(["xhost", "+si:localuser:root"])
         os.execl("/bin/sh", "/bin/sh", "-c",
-                 "/usr/bin/pkexec /usr/bin/do-release-upgrade "
+                 "/usr/bin/do-release-upgrade "
                  "--frontend=DistUpgradeViewGtk3%s" % extra_args)
 
 
@@ -301,7 +297,6 @@
 
     def upgrade(self):
         os.execl("/bin/sh", "/bin/sh", "-c",
-                 "/usr/bin/pkexec "
                  "/usr/lib/ubuntu-release-upgrader/do-partial-upgrade "
                  "--frontend=DistUpgradeViewGtk3")
 

=== modified file 'debian/changelog'
--- debian/changelog	2018-02-09 12:47:59 +0000
+++ debian/changelog	2018-02-09 12:48:59 +0000
@@ -2,6 +2,8 @@
 
   * Place .keep files in empty directories to keep them when converting the
     repo to git
+  * Call do-release-upgrade without pkexec and depend on a version which
+    raises privileges itself
 
  -- Balint Reczey <rbalint@ubuntu.com>  Fri, 09 Feb 2018 19:44:01 +0700
 

=== modified file 'debian/control'
--- debian/control	2017-08-30 16:28:05 +0000
+++ debian/control	2018-02-09 12:48:59 +0000
@@ -27,7 +27,7 @@
          python3-distro-info,
          distro-info-data,
          lsb-release,
-         ubuntu-release-upgrader-core
+         ubuntu-release-upgrader-core (>= 1:18.04.5)
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
 Breaks: update-manager (<< 1:0.146.2), 

=== modified file 'tests/test_upgrade.py'
--- tests/test_upgrade.py	2017-08-07 19:42:06 +0000
+++ tests/test_upgrade.py	2018-02-09 12:48:59 +0000
@@ -38,7 +38,7 @@
             dlg.upgrade()
             execl.assert_called_once_with(
                 "/bin/sh", "/bin/sh", "-c",
-                "/usr/bin/pkexec /usr/bin/do-release-upgrade "
+                "/usr/bin/do-release-upgrade "
                 "--frontend=DistUpgradeViewGtk3 -d -p")
 
 

